
var dcop = new Dcop(this);
dcop.attach();

println("this works");
var foo = dcop.registeredApplications();
println(foo);

var s = this;
//var s = foo;
//var s = dcop;
//var s = Factory;

println("1this works");
try {
println(dump(s));
}
catch(y) {
println('yyyyyy failed ' + y);
}

println("22this works"+s);
try {
dump(s);
}
catch(x) {
println('xxxxxxxx failed ' + x);
}

println("2this works");
dumpCompletion(s);
println("/2this works");

println("3this fails");
var bar = dumpCompletion(s);
println( typeof(bar) );
println("done -------------");
